package com.bocloud.cmp.model.hmc.pcm;

import java.util.Map;

public class PcmProcessor {
    private Trend totalTrend;
    private Trend assignedTrend;
    private Map<String, PcmPartitionProcessor> partitionProcessors;

    public Trend getTotalTrend() {
        return totalTrend;
    }

    public void setTotalTrend(Trend totalTrend) {
        this.totalTrend = totalTrend;
    }

    public Trend getAssignedTrend() {
        return assignedTrend;
    }

    public void setAssignedTrend(Trend assignedTrend) {
        this.assignedTrend = assignedTrend;
    }

    public Map<String, PcmPartitionProcessor> getPartitionProcessors() {
        return partitionProcessors;
    }

    public void setPartitionProcessors(Map<String, PcmPartitionProcessor> partitionProcessors) {
        this.partitionProcessors = partitionProcessors;
    }
}
